<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetNextVariable Method (IEdmVariableMgr5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVariableMgr5 Interface : GetNextVariable Method (IEdmVariableMgr5)

Visual Basic
C#
C++/CLI

poPos
  IEdmPos5; position of the next variable in the list

Gets the next variable in an enumeration.

# Syntax

Visual Basic |
--- | ---

    Function GetNextVariable( _
       ByVal poPos As IEdmPos5 _
    ) As IEdmVariable5

C# |
--- | ---

    IEdmVariable5 GetNextVariable(
       IEdmPos5 poPos
    )

C++/CLI |
--- | ---

    IEdmVariable5^ GetNextVariable(
    &   IEdmPos5^ poPos
    )

#### Parameters

poPos
  IEdmPos5; position of the next variable in the list

#### Return Value

IEdmVariable5

# Example

Find Data Cards with Description Variable (C#)
Find Data Cards with Description Variable (VB.NET)

# Remarks

Before calling this method the first time, you must populate poPos with the interface to the position of the first variable in the list, IEdmPos5. Call IEdmVariableMgr5::GetFirstVariablePosition to obtain poPos.

After calling this method the first time, poPos is automatically incremented every time it is called. Call this method repeatedly to obtain the rest of the variables in the list.

Be sure to call IEdmPos5::IsNull before you call this method to ensure you have not reached the end of the enumeration.

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmVariable5.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmVariableMgr5 Interface
IEdmVariableMgr5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2